Announcement

Collapse
No announcement yet.

Problems upgrading from 4.2.3 to v5.2.1 Alpha 1 --> 5.2.5

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • Problems upgrading from 4.2.3 to v5.2.1 Alpha 1 --> 5.2.5

    Hello!! i'm upgrading my forum from 4.2.3 to 5.2.5, i had several problems that i have resolved, but now i'm stuck with this error upgrading from vBulletin v5.2.1 Alpha 1:

    521a2 Step #16
    Fatal Error Occurred

    Duplicate entry '209-0' for key 'userid' on /var/www/vhosts/#######/httpdocs/core/vb/db/query/stored.php : 124

    Script: 521a2
    Step: 16
    What could be the problem??

    Thanks!!

  • #2
    If you refresh, does it carry on?
    MARK.B | vBULLETIN SUPPORT

    TalkNewsUK - My vBulletin 5.6.4 Demo
    AdminAmmo - My Cloud Demo

    Comment


    • #3
      No :-(

      Comment


      • #4
        Please tell me you're not going straight onto the live site with a major upgrade when you have more than 2 million posts.....
        Did you test it on a test mirror first?

        With that many posts it is wise to use the cli upgrader - https://www.vbulletin.com/docs/html/main/upgrade_cli You can try that.

        However if you have not already done so, I would be upgrading a test copy of your site and database first, which will mean restoring your backed up 4.2.3 database and files to the live site and then cloning it. (Please tell me you have a backup!)
        MARK.B | vBULLETIN SUPPORT

        TalkNewsUK - My vBulletin 5.6.4 Demo
        AdminAmmo - My Cloud Demo

        Comment


        • #5
          Hello! ! Yes I have a Backup of all :-)

          I can't do a cli upgrade, always get this error:

          PHP Parse error: syntax error, unexpected T_USE, expecting T_FUNCTION in /var/www/vhosts/XXXXX/httpdocs/core/vb/database.php on line 24
          Thanks.
          Last edited by Isaacj; Mon 5 Dec '16, 10:33am.

          Comment


          • #6
            What version of php are you running?
            MARK.B | vBULLETIN SUPPORT

            TalkNewsUK - My vBulletin 5.6.4 Demo
            AdminAmmo - My Cloud Demo

            Comment


            • #7
              Hello! 5.6.28.

              Thanks.

              Comment


              • #8
                Should be fine.

                Can you please download a load a fresh copy of the 525 files, upload them to the server, overwriting what's there, and try the CLI upgrade again?
                MARK.B | vBULLETIN SUPPORT

                TalkNewsUK - My vBulletin 5.6.4 Demo
                AdminAmmo - My Cloud Demo

                Comment


                • #9
                  Uploaded again and same error :-(

                  Comment


                  • #10
                    I found the problem, via SSH by default loads PHP 5.3.3, i will install the backup with VB 4.2.3 and try a CLI Upgrade forcing PHP 5.6. Tell you the results in the next hours ;-)

                    Comment


                    • #11
                      New errors upgrading via CLI:

                      Code:
                      Upgrading to 5.0.0 Alpha 1
                      ----------------------------------
                      Step 142 - Importing forum records
                                 Processing 200 records
                      Error No permissions on node id 18 on /var/www/vhosts/#########/httpdocs/core/vb5/route/channel.php : 23
                      #0: vB_Utilities::getStackTrace() called in /[path]/core/install/includes/class_upgrade_cli.php on line 299
                      #1: vB_Upgrade_Cli->execute_step('142', vB_Upgrade_500a1, true, array[len:1], false) called in /[path]/core/install/includes/class_upgrade_cli.php on line 403
                      #2: vB_Upgrade_Cli->execute_step('142', vB_Upgrade_500a1) called in /[path]/core/install/includes/class_upgrade_cli.php on line 243
                      #3: vB_Upgrade_Cli->process_script('500a1', '0') called in /[path]/core/install/includes/class_upgrade_cli.php on line 149
                      #4: vB_Upgrade_Cli->init(NULL) called in /[path]/core/install/includes/class_upgrade.php on line 730
                      #5: vB_Upgrade_Abstract->__construct(vB_Registry, array[len:10], 'upgrade', NULL, array[len:0]) called in /[path]/core/install/includes/class_upgrade_cli.php on line 83
                      #6: vB_Upgrade_Cli->__construct(vB_Registry, array[len:10], 'upgrade', NULL, array[len:0]) called in /[path]/core/install/includes/class_upgrade.php on line 54
                      #7: vB_Upgrade::fetch_library(vB_Registry, array[len:10], '', true) called in /[path]/core/install/upgrade.php on line 132
                      :-(

                      Comment


                      • #12
                        Make sure you have a userid 1, and that it is (at least temprarily) defined as superadmin in config.php.
                        MARK.B | vBULLETIN SUPPORT

                        TalkNewsUK - My vBulletin 5.6.4 Demo
                        AdminAmmo - My Cloud Demo

                        Comment


                        • #13
                          Hello!! i changed it to my superuser, and then i got the same error that when i was upgrading via web:

                          Code:
                          Upgrading to 5.2.1 Alpha 2
                          ----------------------------------
                          Step 16 - [b]Error Duplicate entry '209-0' for key 'userid' on /var/www/vhosts/##########/httpdocs/core/vb/db/query/stored.php : 124[/b]
                          #0: vB_Utilities::getStackTrace() called in /[path]/core/install/includes/class_upgrade_cli.php on line 314
                          #1: vB_Upgrade_Cli->execute_step(16, vB_Upgrade_521a2) called in /[path]/core/install/includes/class_upgrade_cli.php on line 243
                          #2: vB_Upgrade_Cli->process_script('521a2', '0') called in /[path]/core/install/includes/class_upgrade_cli.php on line 149
                          #3: vB_Upgrade_Cli->init(NULL) called in /[path]/core/install/includes/class_upgrade.php on line 730
                          #4: vB_Upgrade_Abstract->__construct(vB_Registry, array[len:10], 'upgrade', NULL, array[len:0]) called in /[path]/core/install/includes/class_upgrade_cli.php on line 83
                          #5: vB_Upgrade_Cli->__construct(vB_Registry, array[len:10], 'upgrade', NULL, array[len:0]) called in /[path]/core/install/includes/class_upgrade.php on line 54
                          #6: vB_Upgrade::fetch_library(vB_Registry, array[len:10], '', true) called in /[path]/core/install/upgrade.php on line 132
                          :-(

                          Comment


                          • #14
                            Any clue??

                            Comment


                            • #15
                              You have a ticket open - it will make things far more efficient for us if you stick to a single contact means then we don't have more than one staff member looking into this for you...
                              Vote for:

                              - *Admin Settable Paid Subscription Reminder Timeframe*
                              -
                              *PM - Add ability to reply to originator only*
                              - Add Admin ability to auto-subscribe users to specific channel(s)
                              - "Quick Route" Interface...

                              Comment

                              Related Topics

                              Collapse

                              Working...
                              X